import request from '@/api/request.js'

//
function income(data) {
	return request({
		url: '/api/Buy/income',
		method: 'post',
		data
	})
}

function txOrder(data) {
	return request({
		url: '/api/vip/txOrder',
		method: 'post',
		data
	})
}

function aliTxOrder(data) {
	return request({
		url: '/api/vip/aliTxOrder',
		method: 'post',
		data
	})
}

function wxTxOrder(data) {
	return request({
		url: '/api/vip/wxTxOrder',
		method: 'post',
		data
	})
}
function getorderinfo(data) {
	return request({
		url: '/api/Wxpaycz/getorderinfo',
		method: 'post',
		data
	})
}
function uptransfershot(data) {
	return request({
		url: '/api/upload/uploadimgs',
		method: 'post',
		data
	})
}
function czRecord(data) {
	return request({
		url: '/api/Ajax/czRecord',
		method: 'post',
		data
	})
}
function txRecord(data) {
	return request({
		url: '/api/Ajax/txRecord',
		method: 'post',
		data
	})
}
function record(data) {
	return request({
		url: '/api/Ajax/record',
		method: 'post',
		data
	})
}
function transferindex(data) {
	return request({
		url: '/api/Ajax/transferindex',
		method: 'post',
		data
	})
}
function maketransferorder(data) {
	return request({
		url: '/api/vip/maketransferorder',
		method: 'post',
		data
	})
}

function Wxpaycz(data) {
	return request({
		url: '/api/Wxpaycz/pay',
		method: 'post',
		data
	})
}
function tx_farm(data) {
	return request({
		url: '/api/buy/tx_farm',
		method: 'post',
		data
	})
}

function txlist(data) {
	return request({
		url: '/api/buy/txlist',
		method: 'post',
		data
	})
}
function shouzhi(data) {
	return request({
		url: '/api/buy/shouzhi',
		method: 'post',
		data
	})
}

function bankTx(data) {
	return request({
		url: '/api/vip/bankTxOrder',
		method: 'post',
		data
	})
}
function bankFind(data) {
	return request({
		url: '/api/vip/bankFind',
		method: 'get',
		data
	})
}
export default {
	income,
	txOrder,
	aliTxOrder,
	wxTxOrder,
	getorderinfo,
	uptransfershot,
	czRecord,
	txRecord,
	record,
	transferindex,
	maketransferorder,
	Wxpaycz,
	tx_farm,
	txlist,
	shouzhi,
	bankTx,
	bankFind
}
